Bug 441694 - cvs assertion failure
Summary: cvs assertion failure
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cvs   
(Show other bugs)
Version: 4.8
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 391511
TreeView+ depends on / blocked
 
Reported: 2008-04-09 15:03 UTC by Adam Stokes
Modified: 2018-10-20 01:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 769298 (view as bug list)
Environment:
Last Closed: 2009-05-18 20:12:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mimics upstream fix to remove assert statement (319 bytes, patch)
2008-04-09 15:03 UTC, Adam Stokes
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0971 normal SHIPPED_LIVE cvs bug fix update 2009-05-18 13:41:28 UTC

Description Adam Stokes 2008-04-09 15:03:26 UTC
Description of problem:
CVS fails with assertion error

Version-Release number of selected component (if applicable):
cvs 1.11.17

How reproducible:
100% 

Steps to Reproduce:
1. use cvs rtag
2.
3.
  
Actual results:
cvs: recurse.c:642: do_recursion: Assertion `strstr (repository, "/./") ==
((void *)0)' failed.
cvs [rtag aborted]: received abort signal

Expected results:
No error.

Additional info:
http://www.mail-archive.com/bug-cvs@nongnu.org/msg01157.html

Comment 1 Adam Stokes 2008-04-09 15:03:26 UTC
Created attachment 301822 [details]
mimics upstream fix to remove assert statement

Comment 4 RHEL Product and Program Management 2008-09-05 17:13:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Jan Ščotka 2009-01-08 11:32:29 UTC
testcase created in 196259 -  cvs lacks LFS support

Comment 12 errata-xmlrpc 2009-05-18 20:12:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0971.html


Note You need to log in before you can comment on or make changes to this bug.